#!/bin/bash

TMP=`mktemp -d`

. /etc/lsb-release

id | egrep adm > /dev/null 2>&1
if [ $? -eq 0 ]; then

apt-cache policy | egrep linkat > /dev/null 2>&1
if [ $? -gt 0 ] && [ ! -f /usr/share/linkat/linkat-repos/repoflag ] ; then
	zenity --question --title "Repositoris de la Linkat" --text "No teniu els repositoris de la Linkat configurats. \n\nVoleu afegir-los ara?"
	if [ $? -eq 0 ]; then
		cd $TMP 
		COUNTER=1
		
		while [ $COUNTER -gt 0 ]; do
			wget http://download-linkat.xtec.cat/distribution/linkat-edu-$DISTRIB_RELEASE/linkat-repo-$DISTRIB_RELEASE.list 
			if [ $? -gt 0 ]; then
				zenity --question --title "Error de connexió" --text "No s'ha pogut descarregar la configuració de la Linkat. \n\nComproveu la connexió de xarxa. \n\nVoleu tornar a intentar la descàrrega?"
				if [ $? -eq 0 ]; then
					COUNTER=1
				else
					zenity --info --text "Programa tancat per l'usuari"
					exit 1
				fi
			else
				COUNTER=0
			fi
		done

		gksu /usr/share/linkat/linkat-repos/copy-repos.sh
			if [ $? -gt 0 ]; then
                                zenity --error --text "Cancel·lat per l'usuari.\n\nEl programa es tancarà"
                                exit 1
                        fi

		zenity --info --title "Repositoris Linkat afegits" --text "Els repositoris de la Linkat han sigut afegits correctament"
	else
		ans=$(zenity  --list  --text "Voleu afegir els repositoris de la Linkat en un altre moment?" --radiolist  --column "Marca" --column "Opinion" TRUE "Sí, torna a preguntar al següent inici de sessió." FALSE "No, no ho tornis a preguntar mai més.")
		echo $ans | egrep No > /dev/null 2>&1
		if [ $? -eq 0 ]; then
			gksu touch /usr/share/linkat/linkat-repos/repoflag
		else
			exit 0 
		fi
	fi
else
        echo "Els repositoris Linkat ja s'han afegits o s'ha demanat no afegir-los.\n\n"

fi

fi
